// this code is generated and should not be modified
package org.accordproject.finance.loan;

import org.hyperledger.composer.system.*;
import org.accordproject.time.Duration;
import org.accordproject.money.CurrencyCode;
import org.accordproject.money.CryptoCurrencyCode;
import concerto.Concept;
import concerto.Asset;
import concerto.Transaction;
import concerto.Participant;
import concerto.Event;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties({"$class"})
public class Loan extends Concept {
   private String[] instrumentId;
   private String description;
   private CurrencyType currencyType;
   private CurrencyCode currencyCode;
   private CryptoCurrencyCode cryptoCurrencyCode;
   private String[] exchangeId;
   private String clearanceSystem;
   private String definition;
   private String lein;
   private String facilityType;
   private java.util.Date maturity;
   private java.util.Date creditAgreementDate;
   private String tranche;
   public String[] getInstrumentId() {
      return this.instrumentId;
   }
   public String getDescription() {
      return this.description;
   }
   public CurrencyType getCurrencyType() {
      return this.currencyType;
   }
   public CurrencyCode getCurrencyCode() {
      return this.currencyCode;
   }
   public CryptoCurrencyCode getCryptoCurrencyCode() {
      return this.cryptoCurrencyCode;
   }
   public String[] getExchangeId() {
      return this.exchangeId;
   }
   public String getClearanceSystem() {
      return this.clearanceSystem;
   }
   public String getDefinition() {
      return this.definition;
   }
   public String getLein() {
      return this.lein;
   }
   public String getFacilityType() {
      return this.facilityType;
   }
   public java.util.Date getMaturity() {
      return this.maturity;
   }
   public java.util.Date getCreditAgreementDate() {
      return this.creditAgreementDate;
   }
   public String getTranche() {
      return this.tranche;
   }
   public void setInstrumentId(String[] instrumentId) {
      this.instrumentId = instrumentId;
   }
   public void setDescription(String description) {
      this.description = description;
   }
   public void setCurrencyType(CurrencyType currencyType) {
      this.currencyType = currencyType;
   }
   public void setCurrencyCode(CurrencyCode currencyCode) {
      this.currencyCode = currencyCode;
   }
   public void setCryptoCurrencyCode(CryptoCurrencyCode cryptoCurrencyCode) {
      this.cryptoCurrencyCode = cryptoCurrencyCode;
   }
   public void setExchangeId(String[] exchangeId) {
      this.exchangeId = exchangeId;
   }
   public void setClearanceSystem(String clearanceSystem) {
      this.clearanceSystem = clearanceSystem;
   }
   public void setDefinition(String definition) {
      this.definition = definition;
   }
   public void setLein(String lein) {
      this.lein = lein;
   }
   public void setFacilityType(String facilityType) {
      this.facilityType = facilityType;
   }
   public void setMaturity(java.util.Date maturity) {
      this.maturity = maturity;
   }
   public void setCreditAgreementDate(java.util.Date creditAgreementDate) {
      this.creditAgreementDate = creditAgreementDate;
   }
   public void setTranche(String tranche) {
      this.tranche = tranche;
   }
}
